Bug 1016495 - Authentication failure in s-ramp-demos-switchyard quickstart
Authentication failure in s-ramp-demos-switchyard quickstart
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance, Examples (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: 6.0.0
Assigned To: Eric Wittmann
Andrej Vano
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 05:20 EDT by Stefan Bunciak
Modified: 2014-02-06 10:31 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Bunciak 2013-10-08 05:20:12 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. Install FSW 6.0.0.ER4 (for governance use different password than 'overlord')
2. cd to quickstarts/sramp/s-ramp-demos-switchyard
3. execute mvn -Pdemo clean deploy

Actual results:
* Authentication failure during maven build/deploy
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-deploy-plugin:2.5-redhat-1:deploy (default-deploy) on project s-ramp-demos-switchyard: Failed to deploy artifacts: Could not transfer artifact org.overlord.sramp.demos:s-ramp-demos-switchyard:jar:0.3.1.Final-redhat-3 from/to local-sramp-repo (sramp://localhost:8080/s-ramp-server/?artifactType=SwitchYardApplication): Failed to connect to the S-RAMP repository. Authentication failure while attempting to access the S-RAMP repository. -> [Help 1]

Expected results:


Additional info:
* There is no way how to specify the password as it is in remaining sramp quickstarts
Comment 1 Stefan Bunciak 2013-10-08 05:23:26 EDT
The same applies for s-ramp-demos-switchyard-multiapp quickstart
Comment 2 Stefan Bunciak 2013-10-08 05:43:59 EDT
so as for s-ramp-demos-mvn-integration-artifacts
Comment 3 Eric Wittmann 2013-10-08 08:31:24 EDT
Right, for all of the maven integration demos the user credentials must be supplied in a settings.xml file.  I will update the readmes for all relevant demos.
Comment 4 Eric Wittmann 2013-10-08 13:56:35 EDT
Fixed by adding information to the readmes.  See:

https://github.com/Governance/s-ramp/pull/333
Comment 6 Andrej Vano 2013-12-17 09:32:37 EST
Hello,

all readme files on ER7-2 contain informations about setting/providing username/pw. 

Verified.

Note You need to log in before you can comment on or make changes to this bug.